Bug 251090 - devel/git-gui: Doesn't satisify devel/git dependency
Summary: devel/git-gui: Doesn't satisify devel/git dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-13 00:52 UTC by Duane
Modified: 2021-10-12 15:22 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Duane 2020-11-13 00:52:59 UTC
I want git-gui so I have access to gitk, but whenever I try to install any other package which depends on git it uninstalls git-gui.
Comment 1 Steve Wills freebsd_committer 2020-12-07 04:35:07 UTC
devel/git-gui was deleted (in October in r552136) in favor of a gui flavor which should avoid the issue.
Comment 2 Duane 2020-12-07 21:42:02 UTC
(In reply to Steve Wills from comment #1)

This still doesn't seem to be working correctly.  I am on 12.2 using 'latest' and when I try to install `gitea` for example, it removes `git-gui` and reinstalls `git`.
Comment 3 Steve Wills freebsd_committer 2020-12-07 23:27:27 UTC
(In reply to Duane from comment #2)
Try installing "git@gui" then installing gitea.
Comment 4 Duane 2020-12-08 00:33:27 UTC
(In reply to Steve Wills from comment #3)

`pkg` says there is no matching package.
Comment 5 Steve Wills freebsd_committer 2020-12-08 00:51:49 UTC
(In reply to Duane from comment #4)
Oh, I see, the pkg name is "git-gui" but perhaps that doesn't avoid the dependency issue.
Comment 6 Duane 2021-03-18 00:08:42 UTC
This problem still persists.  Is this a problem with `pkg` more generally, or is the `git-gui` package mis-configured?
Comment 7 Renato Botelho freebsd_committer 2021-03-18 11:30:06 UTC
(In reply to Duane from comment #6)
This is a problem that will be solved when subpackages are in place.  Then we will be able to re-design it and make git-gui to depend of git and install only GUI items after git is installed, satisfying all dependencies cleanly
Comment 8 Renato Botelho freebsd_committer 2021-10-11 20:51:53 UTC
It's going to be fixed when we get https://reviews.freebsd.org/D32369 committed
Comment 9 commit-hook freebsd_committer 2021-10-12 15:20:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ff5ded75bcda28c580623504e01f5db8eb6be9cf

commit ff5ded75bcda28c580623504e01f5db8eb6be9cf
Author:     Renato Botelho <garga@FreeBSD.org>
AuthorDate: 2021-10-08 11:48:52 +0000
Commit:     Renato Botelho <garga@FreeBSD.org>
CommitDate: 2021-10-12 15:18:54 +0000

    devel/git: Split into subpackages

    Removed CVS, GUI, PERFORCE and SUBVERSION options and also gui and svn
    FLAVORS, and create 4 new subports:

    devel/git-cvs
    devel/git-gui
    devel/git-p4
    devel/git-svn

    All these packages depend of devel/git and install only additional files
    and manpages.  This work is based on initial patch submitted by grembo@i
    at review D30238.

    PR:             251090
    Sponsored by:   Rubicon Communications, LLC ("Netgate")
    Differential Revision:  https://reviews.freebsd.org/D32369

 MOVED                          |   2 -
 UPDATING                       |  15 +++
 devel/Makefile                 |   4 +
 devel/git-cvs/Makefile (new)   |   9 ++
 devel/git-cvs/pkg-descr (new)  |   5 +
 devel/git-cvs/pkg-plist (new)  |   8 ++
 devel/git-gui/Makefile (new)   |   9 ++
 devel/git-gui/pkg-descr (new)  |   1 +
 devel/git-gui/pkg-plist (new)  |  78 ++++++++++++++
 devel/git-p4/Makefile (new)    |   9 ++
 devel/git-p4/pkg-descr (new)   |   3 +
 devel/git-p4/pkg-plist (new)   |   2 +
 devel/git-svn/Makefile (new)   |   9 ++
 devel/git-svn/pkg-descr (new)  |   5 +
 devel/git-svn/pkg-plist (new)  |   2 +
 devel/git/Makefile             | 233 +++++++++++++++++++++++++++++------------
 devel/git/files/patch-Makefile |  21 +++-
 devel/git/pkg-descr-gui (gone) |   6 --
 devel/git/pkg-descr-lite       |   2 +
 devel/git/pkg-descr-svn (gone) |   6 --
 devel/git/pkg-descr-tiny       |   2 +
 devel/git/pkg-plist            |  91 ----------------
 22 files changed, 346 insertions(+), 176 deletions(-)
Comment 10 Renato Botelho freebsd_committer 2021-10-12 15:22:00 UTC
git-gui is now a subpackage that requires git to be installed and adds only complementary files